Update Schedule of 'Synchronize Image Series' Job

patch

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/fppServers/{fppServerId}

Updates the schedule for performing the image synchronization with the FPP server

Request

Path Parameters
Supported Media Types
Request Body - application/json+merge-patch ()
Root Schema : schema
Type: object
Input to 'Update schedule' operation
Show Source
Nested Schema : Schedule
Type: object
Defining time schedule
Show Source
  • To indicate the time should be interpreted in target's timezone or not. If Timezone is specified in time and useTargetZone is true, it will be reported as an ERROR condition
    Example: true
  • Frequency at which the operation must be executed repeatedly
    Example: Weekly
  • Currently we support ical specification default is ICAL, in future it can be extended to other types e.g CRON.
  • Time in minutes after which the job will be marked as skipped if not started. Null or Negative value means no grace period.
    Example: 60
  • end time for the job in the format YYYY-MM-DDTHH24:Mi:SSZTimezone Timezone specification is optional and will be defaulted to UTC.
    Example: 2021-03-02 22:00:13
  • start time for the job in the format YYYY-MM-DDTHH24:Mi:SSZTimezone Timezone specification is optional and will be defaulted to UTC.
    Example: 2021-03-01 21:23:03
Back to Top

Response

204 Response

No Content

400 Response

Bad Request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

401 Response

Unauthorized
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

403 Response

Forbidden
Body ()
Root Schema : MissingPrivErrorResponse
Type: object
Response sent back as an Error in case required privileges are missing
Show Source
Match All
Response sent back as an Error in case required privileges are missing
Show Source
Nested Schema : missingPrivileges
Type: array
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
Nested Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : MissingPrivilegeSummary
Type: object
It represents a Privilege which is missing on a Resource to view or manage it.
Show Source

404 Response

Not Found
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

503 Response

Service Unavailable
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Back to Top